{ config, lib, ... }:

{
  # Legacy compatibility layer
  options.architect = {
    firewall = lib.mkOption {
      internal = true;
      default = config.pepe.core.firewall;
    };

    networks = lib.mkOption {
      internal = true;
      default = config.pepe.core.network.interfaces;
    };

    vhost = lib.mkOption {
      internal = true;
      default = config.pepe.core.vhost.hosts;
    };
  };
}
